%global momorel 2
%global cvsdate 20060908
%global realname lablgtk
%global md5sum_src0 5fd6a55c7207d5eb9031e0017b117d6b

Summary: Objective Caml interface to gtk+
Name: lablgtk2
Version: 2.6.0
Release: 0.%{cvsdate}.%{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPL
URL: http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/lablgtk.html

#%%NoSource 0 http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/lablgtk-2.6.0.tar.gz %{md5sum_src0}
%NoSource 0 http://wwwfun.kurims.kyoto-u.ac.jp/soft/lsl/dist/%{name}-%{cvsdate}.tar.gz %{md5sum_src0}

Requires: ocaml >= 3.09.2
Requires: lablgl >= 1.02
BuildPreReq: ocaml >= 3.09.2
BuildPreReq: camlp4 >= 3.09.2
# lablgtk can generate quite extensive documentation.
# Probably should enable this and create a subpackage for it.
BuildPreReq: ocaml-ocamldoc
BuildPreReq: lablgl >= 1.02
BuildPreReq: gtkglarea-devel
BuildPreReq: zlib-devel
BuildPreReq: gtk2-devel
BuildPreReq: libglade-devel
BuildPreReq: librsvg-devel
BuildPreReq: libgnomeui-devel
BuildPreReq: libgnomecanvas-devel
BuildPreReq: gnome-panel-devel
BuildPreReq: gtkspell-devel
BuildPreReq: libXmu-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Obsoletes: %{realname} <= 2.6.0-1m
Provides: %{realname} = %{version}-%{release}

%description
LablGTK is is an Objective Caml interface to gtk+.

It uses the rich type system of Objective Caml 3 to provide a strongly
typed, yet very comfortable, object-oriented interface to gtk+. This
is not that easy if you know the dynamic typing approach taken by
gtk+.


%package doc
Group: System Environment/Libraries
Summary: Documentation for LablGTK
Requires: lablgtk2 = %{version}-%{release}
Obsoletes: %{realname}-doc <= 2.6.0-1m
Provides: %{realname}-doc = %{version}-%{release}


%description doc
Documentation for LablGTK.


%prep
%setup -q -n %{name}
# version information in META file is wrong
perl -pi -e 's|version="1.3.1"|version="2.6.0"|' META


%build
%configure --with-gl --enable-debug
perl -pi -e "s|-O|$RPM_OPT_FLAGS|" src/Makefile
make world
make doc


%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%__mkdir_p %{buildroot}%{_bindir}
%__mkdir_p %{buildroot}%{_libdir} 
%__mkdir_p %{buildroot}%{_libdir}/ocaml/lablgtk2
%__mkdir_p %{buildroot}%{_libdir}/ocaml/stublibs
make install \
     BINDIR=%{buildroot}%{_bindir} \
     LIBDIR=%{buildroot}%{_libdir} \
     INSTALLDIR=%{buildroot}%{_libdir}/ocaml/lablgtk2 \
     DLLDIR=%{buildroot}%{_libdir}/ocaml/stublibs
%__cp META %{buildroot}%{_libdir}/ocaml/lablgtk2


%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/ocaml/lablgtk2
%{_libdir}/ocaml/stublibs/*
%doc README COPYING CHANGES
%doc examples


%files doc
%defattr(-,root,root,-)
%doc doc/html


%changelog
* Wed Feb 21 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.0-0.20060908.2m)
- rename lablgtk to lablgtk2

* Fri Oct  6 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.0-0.20060908.1m)
- update to cvs snapshot
- revise %%changelog

* Wed Jul 12 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.6.0-1m)
- import from Fedora Extras 5

* Wed May 10 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.6.0-4
- rebuilt for ocaml 3.09.2
- removed unnecessary ldconfig

* Sun Feb 26 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.6.0-3
- Rebuild for Fedora Extras 5

* Sun Jan  1 2006 Gerard Milmeister <gemi@bluewin.ch> - 2.6.0-1
- new version 2.6.0

* Sat Sep 10 2005 Gerard Milmeister <gemi@bluewin.ch> - 2.4.0-6
- include META file

* Sun May 22 2005 Toshio Kuratomi <toshio-iki-lounge.com> - 2.4.0-5
- Removed gnome-1.x BuildRequires
- Removed BuildRequires not explicitly mentioned in the configure script
  (These are dragged in through dependencies.)
- Fix a gcc4 error about lvalue casting.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 2.4.0-4
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.4.0-2
- Remove %%{_smp_mflags} as it breaks the build

* Sat Feb 12 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:2.4.0-1
- New Version 2.4.0

* Sat Nov 13 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:2.2.0-5
- BR gnome-panel-devel instead of gnome-panel (since FC2!)

* Wed Apr 28 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.4
- Compile with debug

* Tue Dec  2 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.3
- Make GL support optional using --with gl switch

* Fri Nov 28 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:2.2.0-0.fdr.2
- Added dependency on libcroco
- Honor RPM_OPT_FLAGS

* Fri Oct 31 2003 Gerard Milmeister <milmei@ifi.unizh.ch> - 0:2.2.0-0.fdr.1
- First Fedora release

* Mon Oct 13 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Update to 2.2.0.

* Sun Aug 17 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Provide ocaml-lablgtk (reported by bishop@platypus.bc.ca).

* Wed Apr  9 2003 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Rebuilt for Red Hat 9.

* Tue Nov 26 2002 Axel Thimm <Axel.Thimm@physik.fu-berlin.de>
- Initial build
